# -*- coding: utf-8 -*-
from setuphelpers import *
import time

path = makepath(programfiles, "FastCopy")


def install():
    bin_name = glob.glob("FastCopy*.exe")[0]
    install_exe_if_needed(bin_name, silentflags='/SILENT /DIR="%s"' % path, key="", min_version=control.version.split("-")[0])


def uninstall():
    # Variables
    setup_path = makepath(programfiles, "FastCopy", "setup.exe")

    print("closing FastCopy")
    killalltasks("FastCopy.exe")
    print("uninstalling FastCopy")
    remove_user_desktop_shortcut("FastCopy")

    # Uninstalling
    if isfile(setup_path):
        run(r'"%s" /silent /r' % setup_path)
        time.sleep(30)
        if isdir(path):
            remove_tree(path)
    else:
        print("file does not exist or the software is not installed")
